<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_codec.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpc::Codec Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ab8a8bf8e26193edaa7b60bd60a74e241">Codec</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#af259955abf004ce3929bcc39b20611dd">endReadList</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a0ad6166e412a6161e7cc8c7aab81c1bf">endReadMessage</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a145ed0908df02c7c059046e924dfc2d3">endReadStruct</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#acb6720bc9f02a2068c32c353647cfa92">endWriteList</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad5781b1bb58c39f977bef3d599f62d97">endWriteMessage</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ab35961c106dabca5c2204e8e53602d39">endWriteStruct</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a45709c93c094b3429facb6962827892e">getBuffer</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a003c4d8420239b9a347b46554ebeb903">m_buffer</a></td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad9fe5af5136be642e05a9e7335af8ff7">m_cursor</a></td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ae6f1c838bff3b95705e05d0204890fa5">read</a>(bool *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a791e0ce1915cdfd0fe1cd1d4315f5fb6">read</a>(int8_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a830e2c4e43d9fa97d18c1e7fe99180a8">read</a>(int16_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a649e1087fd0a3595bab8a1576d9bed46">read</a>(int32_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a7e96770ca212c00480381c4f0f54a3ff">read</a>(int64_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#af5fb7f3b1c974196cba75f65538d6b80">read</a>(uint8_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a9f87529ab9ed05b0fdd175bbac2f41a9">read</a>(uint16_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a432a28551422ece42286e13868a696d2">read</a>(uint32_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a62e4d29fdb26b3cdafa1e866848610bf">read</a>(uint64_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad507e9dd4fa21a17f705516ac23e96db">read</a>(float *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad9d75c5f93bc233feaf444c3ec6b9dcc">read</a>(double *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a9f2fb79b05e89fc1c8a49454fd39e152">readBinary</a>(uint32_t *length, uint8_t **value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#afbbf5fb4b8fcbae3d99d7314a6aac995">readNullFlag</a>(bool *isNull)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a29c01cadcd7cd544c2248899d9d7cb2d">readString</a>(uint32_t *length, char **value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a9be084e154883188d26fbad05ff2c7b9">reset</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ace7d311abca68729346074d603879c9f">setBuffer</a>(MessageBuffer &amp;buf)</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#aa8728e3da1cb91af2e92fa236cacab06">startReadList</a>(uint32_t *length)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad98b0492614fe14cf4461972cd6fe9d9">startReadMessage</a>(message_type_t *type, uint32_t *service, uint32_t *request, uint32_t *sequence)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a02e5f8b725da2f0560ce8a07fba3d991">startReadStruct</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a3255757c4dd48017a5f9e796c49e822b">startWriteList</a>(uint32_t length)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ac41e5be3cb4b64f4a0c52de160a7537d">startWriteMessage</a>(message_type_t type, uint32_t service, uint32_t request, uint32_t sequence)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a7ef8f0ef36444918b184036f02631088">startWriteStruct</a>()=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a002b086a5534d5be910d6930d3468a00">write</a>(bool value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a8bade9ddf36d8ac79b675e9b10169fdf">write</a>(int8_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a07e236dd49c216ffab823afc58635e5c">write</a>(int16_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a24be3849ad7cabda4c589a912fdc7f82">write</a>(int32_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#aef1f5071b1e07f34fe9731fa5e10687f">write</a>(int64_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a8edff61120231fb0e652825c2f6371e5">write</a>(uint8_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#aa169e906bf4f7cd12a4e5588f65b14f6">write</a>(uint16_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a929dc3f32a088c03b9f8cef0e30cab49">write</a>(uint32_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a59d6be059c10422e528039699bf341ce">write</a>(uint64_t value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a5aeed7d90150e7f65eb1017bc0e2688c">write</a>(float value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a973c421155e391dbb0550fa5e0065001">write</a>(double value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#a395fc7d8577b0a00d571ed320b4da57e">writeBinary</a>(uint32_t length, const uint8_t *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad070335fa31ad73d644ae2fc28ba0003">writeNullFlag</a>(bool isNull)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_codec.html#acdcec6c9575388ebbccfc7e326cfb7a2">writeString</a>(uint32_t length, const char *value)=0</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_codec.html#ad4799bf9411c7fbec26082f0143abb1b">~Codec</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
